<?php

declare(strict_types=1);

namespace Drupal\external_roles;

/**
 * Provides an interface for the external roles repository.
 */
interface ExternalRolesRepositoryInterface {

  /**
   * Gets the permissions for a given external role.
   *
   * @param string $role
   *   The role ID.
   *
   * @return string[]
   *   An array of permissions.
   */
  public function getPermissionsByRole(string $role): array;

}
